  [MESSAGES CONTROL]
  disable=
    too-many-lines,
    missing-module-docstring,
    missing-function-docstring,
    missing-class-docstring,
    line-too-long,
    too-many-arguments,
    too-many-branches,
    superfluous-parens,
    invalid-name,
    too-many-locals,
    too-many-public-methods,
    too-many-statements,
    arguments-differ,
    too-many-return-statements,
    import-outside-toplevel,
    import-self,
    relative-beyond-top-level,
    too-many-instance-attributes,
    duplicate-code,
    too-many-nested-blocks
